package me.hammerle.console;

import java.awt.Color;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import me.hammerle.code.ScriptControl;

public class InputBox extends BlackBox
{
    public InputBox(Console c)
    {
        super(c);
        area.addKeyListener(new KeyAdapter() 
        {
            @Override
            public void keyPressed(KeyEvent e) 
            {
                if(e.getKeyCode() == KeyEvent.VK_ENTER)
                {
                    if(e.isShiftDown())
                    {
                        insertAtCaret("\n", null);
                        e.consume();
                    }
                    else
                    {
                        ConsoleUtils.sendMessage("> " + area.getText(), Color.GRAY);
                        ScriptControl.startScriptFromCode(area.getText());
                        area.setText(null);
                        e.consume();
                    }
                }
            }
        });
    }
}
