package me.hammerle.console;

import java.awt.Color;
import java.awt.Dimension;

public class OutputBox extends BlackBox
{
    public OutputBox(Console c)
    {
        super(c);
        super.setPreferredSize(new Dimension(660, 345));
        area.setEditable(false);
        area.setText("--- Hello " + System.getProperty("user.name") + " ---\n");
    }
    
    public void pushText(String s, Color c)
    {
        append(s + "\n", c);
    }
    
    public void clear()
    {
        area.setText("");
    }
}
