package me.hammerle.graphics;

import java.awt.Color;
import java.awt.Graphics;

public class Rectangle extends Line
{
    public Rectangle(Color c, int x1, int y1, int x2, int y2) 
    {
        super(c, x1, y1, x2, y2);
    }  
    
    @Override
    public void paint(Graphics g) 
    {
        if(isFilled())
        {
            g.fillRect(x1, y1, x2 - x1, y2 - y1);
        }
        else
        {
            g.drawRect(x1, y1, x2 - x1, y2 - y1);
        }
    }
}
